### Virtual Method

# Atk Text get_text

#### Declaration [src]

    gchar*
    get_text (
      AtkText* text,
      gint start_offset,
      gint end_offset
    )

#### Description [src]

Gets the specified text.

#### Parameters

`start_offset`

  Type: `gint`

  A starting character offset within `text`.

`end_offset`

  Type: `gint`

  An ending character offset within `text`, or -1 for the end of the string.

#### Return value

Type: `gchar*`

A newly allocated string containing the text from `start_offset` up to, but not including `end_offset`. Use `g_free()` to free the returned string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.